Bug 847109 - Review Request: jets3t - Java interface to Amazon S3 and CloudFront services
Summary: Review Request: jets3t - Java interface to Amazon S3 and CloudFront services
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 836945
Blocks: 985087
TreeView+ depends on / blocked
 
Reported: 2012-08-09 18:10 UTC by gil cattaneo
Modified: 2013-10-05 12:07 UTC (History)
5 users (show)

Fixed In Version: jets3t-0.9.0-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-20 02:33:06 UTC
besser82: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description gil cattaneo 2012-08-09 18:10:05 UTC
Spec URL: http://gil.fedorapeople.org/jets3t.spec
SRPM URL: http://gil.fedorapeople.org/jets3t-0.9.0-1.fc16.src.rpm
Description: The JetS3t toolkit provides Java programmers with an API for interacting and
managing data stored in Amazon Simple Storage Service and Amazon CloudFront
content delivery network.
Fedora Account System Username: gil

Comment 2 Björn 'besser82' Esser 2013-06-11 08:22:28 UTC
Package is fine. Just one non-blocker, not really needed, but by common guidelines mandatory, BuildRequires, as described in review-result.

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Fully versioned dependency in subpackages, if present.
  Note: Missing: Requires: %{name} = %{version}-%{release} in jets3t-app
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#RequiringBasePackage

  ---> false positive: it's in spec, actually

- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find license.txt in rpm(s)
  See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

  ---> false positive: %doc LICENSE-2.0.txt is present

- Packages have proper BuildRequires/Requires on jpackage-utils
  See: https://fedoraproject.org/wiki/Packaging:Java

  ---> please add BuildRequires: jpackage-utils in SCM, then.
       Requires are correct, though.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in jets3t-app
     , jets3t-javadoc

     ---> false psitive: all build pkgs are noarch

[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "BSD (3 clause)", "Unknown or generated". 13 files have
     unknown license. Detailed output of licensecheck in
     /home/bjoern.esser/fedora/review/847109-jets3t/licensecheck.txt

     ---> false positive: everything is fine here.

[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 92160 bytes in 6 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Java:
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: Pom files have correct Maven mapping
     Note: Some add_maven_depmap calls found. Please check if they are correct
     or update to latest guidelines
[-]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments

     ---> .hg (mercurial-data) subdir in tarball could possibly be stripped
          as well, since it occupies approx. 25 MB not needed data.

[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jets3t-0.9.0-1.fc20.noarch.rpm
          jets3t-app-0.9.0-1.fc20.noarch.rpm
          jets3t-javadoc-0.9.0-1.fc20.noarch.rpm
jets3t-app.noarch: W: spelling-error %description -l en_US cockpitlite -> cockpit lite, cockpit-lite, cockpit
jets3t-app.noarch: W: spelling-error %description -l en_US uploader -> uploaded, up loader, up-loader
jets3t-app.noarch: W: spelling-error %description -l en_US servlet -> settler
jets3t-app.noarch: W: dangling-relative-symlink /usr/share/jets3t/jars/jets3t-gui-0.9.0.jar ../../java/jets3t/gui.jar
jets3t-app.noarch: W: dangling-relative-symlink /usr/share/jets3t/jars/jets3t-synchronize-0.9.0.jar ../../java/jets3t/synchronize.jar
jets3t-app.noarch: W: dangling-relative-symlink /usr/share/jets3t/jars/jets3t-cockpitlite-0.9.0.jar ../../java/jets3t/cockpitlite.jar
jets3t-app.noarch: W: dangling-relative-symlink /usr/share/jets3t/jars/jets3t-cockpit-0.9.0.jar ../../java/jets3t/cockpit.jar
jets3t-app.noarch: W: dangling-relative-symlink /usr/share/jets3t/jars/jets3t-uploader-0.9.0.jar ../../java/jets3t/uploader.jar
jets3t-app.noarch: W: dangling-relative-symlink /usr/share/jets3t/jars/jets3t-0.9.0.jar ../../java/jets3t/jets3t.jar
3 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint jets3t-app jets3t-javadoc jets3t
jets3t-app.noarch: W: spelling-error %description -l en_US cockpitlite -> cockpit lite, cockpit-lite, cockpit
jets3t-app.noarch: W: spelling-error %description -l en_US uploader -> uploaded, up loader, up-loader
jets3t-app.noarch: W: spelling-error %description -l en_US servlet -> settler
jets3t-app.noarch: W: dangling-relative-symlink /usr/share/jets3t/jars/jets3t-gui-0.9.0.jar ../../java/jets3t/gui.jar
jets3t-app.noarch: W: dangling-relative-symlink /usr/share/jets3t/jars/jets3t-synchronize-0.9.0.jar ../../java/jets3t/synchronize.jar
jets3t-app.noarch: W: dangling-relative-symlink /usr/share/jets3t/jars/jets3t-cockpitlite-0.9.0.jar ../../java/jets3t/cockpitlite.jar
jets3t-app.noarch: W: dangling-relative-symlink /usr/share/jets3t/jars/jets3t-cockpit-0.9.0.jar ../../java/jets3t/cockpit.jar
jets3t-app.noarch: W: dangling-relative-symlink /usr/share/jets3t/jars/jets3t-uploader-0.9.0.jar ../../java/jets3t/uploader.jar
jets3t-app.noarch: W: dangling-relative-symlink /usr/share/jets3t/jars/jets3t-0.9.0.jar ../../java/jets3t/jets3t.jar
3 packages and 0 specfiles checked; 0 errors, 9 warnings.
# echo 'rpmlint-done:'

---> symlinks are linked correctly. they are properly resolved by
     Requires when pkg is installed.


Requires
--------
jets3t-app (rpmlib, GLIBC filtered):
    /bin/sh
    BareBonesBrowserLaunch
    apache-commons-codec
    apache-commons-logging
    base64
    bouncycastle
    config(jets3t-app)
    httpcomponents-client
    httpcomponents-core
    java-xmlbuilder
    jets3t
    jpackage-utils
    log4j

jets3t-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

jets3t (rpmlib, GLIBC filtered):
    apache-commons-codec
    apache-commons-logging
    base64
    httpcomponents-client
    httpcomponents-core
    java
    java-xmlbuilder
    jpackage-utils



Provides
--------
jets3t-app:
    config(jets3t-app)
    jets3t-app

jets3t-javadoc:
    jets3t-javadoc

jets3t:
    jets3t
    mvn(net.java.dev.jets3t:cockpit)
    mvn(net.java.dev.jets3t:jets3t)
    mvn(net.java.dev.jets3t:jets3t-gui)
    mvn(net.java.dev.jets3t:synchronize)



Source checksums
----------------
http://repo1.maven.org/maven2/net/java/dev/jets3t/jets3t-gui/0.9.0/jets3t-gui-0.9.0.pom :
  CHECKSUM(SHA256) this package     : 9135aba1416277d58e1608db1a9eaacc2c16e8ad9ee5d923a2d1f6c47c533e25
  CHECKSUM(SHA256) upstream package : 9135aba1416277d58e1608db1a9eaacc2c16e8ad9ee5d923a2d1f6c47c533e25
http://repo1.maven.org/maven2/net/java/dev/jets3t/cockpit/0.9.0/cockpit-0.9.0.pom :
  CHECKSUM(SHA256) this package     : 0e2beab222b1490e8f1ca0ec77a85a0272b108e47e7578686e3cafde626d2e74
  CHECKSUM(SHA256) upstream package : 0e2beab222b1490e8f1ca0ec77a85a0272b108e47e7578686e3cafde626d2e74
http://repo1.maven.org/maven2/net/java/dev/jets3t/jets3t/0.9.0/jets3t-0.9.0.pom :
  CHECKSUM(SHA256) this package     : 9cf20dacca98ab339990940078f8d8b6f32d344b335a1fb7d0878077119b159a
  CHECKSUM(SHA256) upstream package : 9cf20dacca98ab339990940078f8d8b6f32d344b335a1fb7d0878077119b159a
http://repo1.maven.org/maven2/net/java/dev/jets3t/synchronize/0.9.0/synchronize-0.9.0.pom :
  CHECKSUM(SHA256) this package     : 436d6e1464ef985f414ba61ad7819eb81a91d0bc596a6f2cb84cf93d453c0eef
  CHECKSUM(SHA256) upstream package : 436d6e1464ef985f414ba61ad7819eb81a91d0bc596a6f2cb84cf93d453c0eef


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 847109

#####

This on is APPROVED!

Comment 3 gil cattaneo 2013-06-11 09:25:04 UTC
Thanks!

New Package SCM Request
=======================
Package Name: jets3t
Short Description: Java interface to Amazon S3 and CloudFront services
Owners: gil
Branches: f18 f19 f20
InitialCC: java-sig

Comment 4 Gwyn Ciesla 2013-06-11 11:59:00 UTC
Git done (by process-git-requests).

Please stop requesting f20 at this time, thanks!

Comment 5 Fedora Update System 2013-06-11 14:11:39 UTC
jets3t-0.9.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/jets3t-0.9.0-1.fc19

Comment 6 Fedora Update System 2013-06-11 14:32:09 UTC
jets3t-0.9.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/jets3t-0.9.0-1.fc18

Comment 7 Fedora Update System 2013-06-12 02:35:02 UTC
jets3t-0.9.0-1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 8 Fedora Update System 2013-06-20 02:33:06 UTC
jets3t-0.9.0-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 9 Fedora Update System 2013-06-29 18:48:58 UTC
jets3t-0.9.0-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.